Storage Targets - Get
Returns a Storage Target from a cache.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.StorageCache/caches/{cacheName}/storageTargets/{storageTargetName}?api-version=2025-07-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
cache
|
path | True |
string pattern: ^[-0-9a-zA-Z_]{1,80}$ |
Name of cache. Length of name must not be greater than 80 and chars must be from the [-0-9a-zA-Z_] char class. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
storage
|
path | True |
string pattern: ^[-0-9a-zA-Z_]{1,80}$ |
Name of Storage Target. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Returns the Storage Target object corresponding to storageTargetName. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
StorageTargets_Get
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/scgroup/providers/Microsoft.StorageCache/caches/sc1/storageTargets/st1?api-version=2025-07-01
Sample response
{
"name": "st1",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/scgroup/providers/Microsoft.StorageCache/caches/sc1/storagetargets/st1",
"type": "Microsoft.StorageCache/Cache/StorageTarget",
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"properties": {
"junctions": [
{
"namespacePath": "/path/on/cache",
"targetPath": "/path/on/exp1",
"nfsExport": "exp1",
"nfsAccessPolicy": "default"
},
{
"namespacePath": "/path2/on/cache",
"targetPath": "/path2/on/exp2",
"nfsExport": "exp2",
"nfsAccessPolicy": "default"
}
],
"state": "Ready",
"targetType": "nfs3",
"nfs3": {
"target": "10.0.44.44",
"usageModel": "READ_HEAVY_FREQ"
},
"allocationPercentage": 25
}
}
Definitions
| Name | Description |
|---|---|
|
Blob |
Properties pertaining to the BlobNfsTarget. |
|
Clfs |
Properties pertaining to the ClfsTarget |
|
Cloud |
An error response. |
|
Cloud |
An error response. |
|
created |
The type of identity that created the resource. |
|
Namespace |
A namespace junction. |
| Nfs3Target |
Properties pertaining to the Nfs3Target |
|
Operational |
Storage target operational state. |
|
Provisioning |
ARM provisioning state, see https://github.com/Azure/azure-resource-manager-rpc/blob/master/v1.0/Addendum.md#provisioningstate-property |
|
Storage |
Type of the Storage Target. |
|
Storage |
Type of the Storage Target. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Unknown |
Properties pertaining to the UnknownTarget |
BlobNfsTarget
Properties pertaining to the BlobNfsTarget.
| Name | Type | Description |
|---|---|---|
| target |
string |
Resource ID of the storage container. |
| usageModel |
string |
Identifies the StorageCache usage model to be used for this storage target. |
| verificationTimer |
integer (int32) |
Amount of time (in seconds) the cache waits before it checks the back-end storage for file updates. |
| writeBackTimer |
integer (int32) |
Amount of time (in seconds) the cache waits after the last file change before it copies the changed file to back-end storage. |
ClfsTarget
Properties pertaining to the ClfsTarget
| Name | Type | Description |
|---|---|---|
| target |
string |
Resource ID of storage container. |
CloudError
An error response.
| Name | Type | Description |
|---|---|---|
| error |
The body of the error. |
CloudErrorBody
An error response.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
NamespaceJunction
A namespace junction.
| Name | Type | Default value | Description |
|---|---|---|---|
| namespacePath |
string |
Namespace path on a cache for a Storage Target. |
|
| nfsAccessPolicy |
string |
default |
Name of the access policy applied to this junction. |
| nfsExport |
string |
NFS export where targetPath exists. |
|
| targetPath |
string |
Path in Storage Target to which namespacePath points. |
Nfs3Target
Properties pertaining to the Nfs3Target
| Name | Type | Description |
|---|---|---|
| target |
string pattern: ^[-.,0-9a-zA-Z]+$ |
IP address or host name of an NFSv3 host (e.g., 10.0.44.44). |
| usageModel |
string |
Identifies the StorageCache usage model to be used for this storage target. |
| verificationTimer |
integer (int32) |
Amount of time (in seconds) the cache waits before it checks the back-end storage for file updates. |
| writeBackTimer |
integer (int32) |
Amount of time (in seconds) the cache waits after the last file change before it copies the changed file to back-end storage. |
OperationalStateType
Storage target operational state.
| Value | Description |
|---|---|
| Ready | |
| Busy | |
| Suspended | |
| Flushing |
ProvisioningStateType
ARM provisioning state, see https://github.com/Azure/azure-resource-manager-rpc/blob/master/v1.0/Addendum.md#provisioningstate-property
| Value | Description |
|---|---|
| Succeeded | |
| Failed | |
| Canceled | |
| Creating | |
| Deleting | |
| Updating |
StorageTarget
Type of the Storage Target.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID of the Storage Target. |
| location |
string |
Region name string. |
| name |
string pattern: ^[-0-9a-zA-Z_]{1,80}$ |
Name of the Storage Target. |
| properties.allocationPercentage |
integer (int32) minimum: 1maximum: 100 |
The percentage of cache space allocated for this storage target |
| properties.blobNfs |
Properties when targetType is blobNfs. |
|
| properties.clfs |
Properties when targetType is clfs. |
|
| properties.junctions |
List of cache namespace junctions to target for namespace associations. |
|
| properties.nfs3 |
Properties when targetType is nfs3. |
|
| properties.provisioningState |
ARM provisioning state, see https://github.com/Azure/azure-resource-manager-rpc/blob/master/v1.0/Addendum.md#provisioningstate-property |
|
| properties.state |
Storage target operational state. |
|
| properties.targetType |
Type of the Storage Target. |
|
| properties.unknown |
Properties when targetType is unknown. |
|
| systemData |
The system meta data relating to this resource. |
|
| type |
string |
Type of the Storage Target; Microsoft.StorageCache/Cache/StorageTarget |
StorageTargetType
Type of the Storage Target.
| Value | Description |
|---|---|
| nfs3 | |
| clfs | |
| unknown | |
| blobNfs |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
UnknownTarget
Properties pertaining to the UnknownTarget
| Name | Type | Description |
|---|---|---|
| attributes |
object |
Dictionary of string->string pairs containing information about the Storage Target. |